-- ForteXorcist v1.959.6 by Xus 01-04-2010

if FW.CLASS == "WARRIOR" then
	local FW = FW;
	local FWL = FW.L;
	local WR = FW:ClassModule("Warrior");
	
	if FW.Modules.Timer then
	
		-- istype: FW.DEFAULT FW.SHARED FW.UNIQUE FW.PET FW.CHARM FW.COOLDOWN FW.HEAL FW.BUFF
		--spell, hastarget, duration, isdot, istype, reducedinpvp, texture, stack
		
		FW:RegisterSpell(59608,	1,030,0,FW.DEFAULT,000,nil,5); -- Sunder Armor
		FW:RegisterSpell(355,	1,003,0,FW.UNIQUE); -- Taunt
		FW:RegisterSpell(694,	1,006,0,FW.UNIQUE); -- Mocking Blow
		FW:RegisterSpell(676,	1,010,0,FW.UNIQUE); -- Disarm
		FW:RegisterSpell(57789,	1,010,0,FW.DEFAULT); -- Mortal Strike
		FW:RegisterSpell(12868,	1,006,1,FW.DEFAULT); -- Deep Wounds
			FW:RegisterTickSpeed(12868, 1); -- set tick speed to 1 instead of 3
		FW:RegisterSpell(59691,	1,015,1,FW.DEFAULT); -- Rend
			FW:RegisterSpellModGlph(59691, 58399,	1, 6);
		FW:RegisterSpell(48639,	1,015,0,FW.DEFAULT); -- Hamstring
		FW:RegisterSpell(61044,	0,030,0,FW.UNIQUE); -- Demoralizing Shout   
		FW:RegisterSpell(20511,	0,008,0,FW.UNIQUE); -- Intimidating Shout
		FW:RegisterSpell(60019,	0,030,0,FW.UNIQUE); -- Thunder Clap
			 FW:RegisterSpellModRank(60019,	1, -20); 
			 FW:RegisterSpellModRank(60019,	2, -16); 
			 FW:RegisterSpellModRank(60019,	3, -12); 
			 FW:RegisterSpellModRank(60019,	4, -8);
			 FW:RegisterSpellModRank(60019,	5, -4);
		FW:RegisterSpell(12323,	0,006,0,FW.UNIQUE); -- Piercing Howl	 
		
		FW:RegisterSpell(50725,	1,1800,0,FW.BUFF); -- Vigilance

		--buffname,duration
		FW:RegisterBuff(29131); -- Bloodrage
		FW:RegisterBuff(47440); -- Commanding Shout
		FW:RegisterBuff(59707); -- Enrage
		FW:RegisterBuff(30029); -- Rampage
		FW:RegisterBuff(35429); -- Sweeping Strikes
		FW:RegisterBuff(12292);	-- Death Wish
		
		FW:RegisterBuff(59614); -- Battle Shout
		FW:RegisterBuff(18499); -- Berserker Rage
		FW:RegisterBuff(1719); -- Recklessness
		
		FW:RegisterBuff(60503); -- Taste for Blood
	
		-- Slam!
		FW:RegisterBuff(46916);	
		
		--debuffs
		FW:RegisterDebuff(59608); -- Sunder Armor
		FW:RegisterDebuff(57789); -- Mortal Strike
		FW:RegisterDebuff(48639); -- Hamstring
		FW:RegisterDebuff(60019); -- Thunder Clap
		FW:RegisterDebuff(61044); -- Demoralizing Shout    
		FW:RegisterDebuff(20511); -- Intimidating Shout
		FW:RegisterDebuff(12323); -- Piercing Howl
		
		FW:RegisterMeleeBuffs();
	end
	if FW.Modules.Cooldown then
		FW:RegisterCooldownBuff(59614);--"Battle Shout"
		FW:RegisterHiddenCooldown(nil,60503,6);
		FW:RegisterMeleePowerupCooldowns();
	end
end
